Bug 480701 - iwl3945 causes panic with 2.6.27.9-159.fc10.x86_64
iwl3945 causes panic with 2.6.27.9-159.fc10.x86_64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 492116
  Show dependency treegraph
 
Reported: 2009-01-19 17:36 EST by Bill Nottingham
Modified: 2014-03-16 23:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 492116 (view as bug list)
Environment:
Last Closed: 2009-01-27 14:13:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-01-19 17:36:13 EST
Description of problem:

ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
BUG: sleeping function called from invalid context at kernel/mutex.c:88
 [<ffffffff8103a0e8>] __might_sleep+0xe7/0xec
in_atomic():1, irqs_disabled():0
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1
 [<ffffffff81331889>] mutex_lock+0x1d/0x33

Call Trace:
 [<ffffffffa005ea24>] iwl3945_mac_conf_tx+0x1d2/0x252 [iwl3945]
 <IRQ>  [<ffffffffa001bd82>] ieee80211_sta_wmm_params+0x187/0x1bf [mac80211]
 [<ffffffffa001e35a>] ieee80211_rx_mgmt_beacon+0xf0/0x1ec [mac80211]
 [<ffffffff81090ca7>] ? mempool_alloc+0x5b/0x113
 [<ffffffffa001e4b4>] ieee80211_sta_rx_scan+0x5e/0x73 [mac80211]
 [<ffffffffa00256e7>] ieee80211_invoke_rx_handlers+0x6a/0x1425 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8129fa91>] ? skb_queue_tail+0x41/0x4a
 [<ffffffff81046263>] ? __tasklet_schedule+0x72/0x89
 [<ffffffffa00250dd>] ? ieee80211_rx_irqsafe+0x63/0x6a [mac80211]
 [<ffffffffa0067ed9>] ? iwl3945_pass_packet_to_mac80211+0x2a2/0x2bd [iwl3945]
 [<ffffffffa0026fd9>] __ieee80211_rx_handle_packet+0x537/0x557 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffffa00276df>] __ieee80211_rx+0x49d/0x4fa [mac80211]
 [<ffffffffa001808c>] ieee80211_tasklet_handler+0x74/0xfe [mac80211]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 <EOI>  [<ffffffff811bcf29>] ? acpi_idle_enter_bm+0x296/0x2e6
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

BUG: scheduling while atomic: swapper/0/0x10000100
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
CPU 1:
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1
RIP: 0010:[<ffffffff811bcf29>]  [<ffffffff811bcf29>] acpi_idle_enter_bm+0x296/0x2e6
RSP: 0018:ffff8800beecbe98  EFLAGS: 00000246
RAX: ffffffff816dd510 RBX: ffff8800beecbed8 RCX: 00000000beecbe68
RDX: ffff88007f958000 RSI: 00000027c979f4fa RDI: ffff880001039e80
RBP: ffff8800beecbe28 R08: 0000000000000003 R09: 0000000000000015
R10: 0000001115ca66c1 R11: 0000000300000000 R12: 00000000000214a4
R13: ffff8800beecbe38 R14: ffffffff8105a1c3 R15: ffff8800beecbe08
FS:  0000000000000000(0000) GS:ffff8800bf004880(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000976860 CR3: 0000000000201000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400

Call Trace:
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

BUG: scheduling while atomic: swapper/0/0x00000100
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
CPU 1:
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1
RIP: 0010:[<ffffffff811bcf29>]  [<ffffffff811bcf29>] acpi_idle_enter_bm+0x296/0x2e6
RSP: 0018:ffff8800beecbe98  EFLAGS: 00000246
RAX: ffffffff816dd510 RBX: ffff8800beecbed8 RCX: 00000000beecbe68
RDX: ffff88007f958000 RSI: 00000027c979f4fa RDI: ffff880001039e80
RBP: ffff8800beecbe28 R08: 0000000000000003 R09: 0000000000000015
R10: 0000001115ca66c1 R11: 0000000300000000 R12: 00000000000214a4
R13: ffff8800beecbe38 R14: ffffffff8105a1c3 R15: ffff8800beecbe08
FS:  0000000000000000(0000) GS:ffff8800bf004880(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000eb9070 CR3: 00000000bc0b0000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400

Call Trace:
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

bad: scheduling from the idle thread!
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1

Call Trace:
 <IRQ>  [<ffffffff8103378a>] dequeue_task_idle+0x32/0x3f
 [<ffffffff81031a7a>] dequeue_task+0xbf/0xca
 [<ffffffff81031ad1>] deactivate_task+0x22/0x2b
 [<ffffffff81330b60>] schedule+0x1f2/0x7c5
 [<ffffffff81332de9>] ? _spin_lock_irqsave+0x2a/0x33
 [<ffffffff8104b66b>] ? __mod_timer+0xbb/0xcd
 [<ffffffffa005ad75>] ? iwl3945_tx_queue_update_write_ptr+0x142/0x155 [iwl3945]
 [<ffffffff813315eb>] schedule_timeout+0x8d/0xb4
 [<ffffffff8104b034>] ? process_timeout+0x0/0xb
 [<ffffffff8104b5cc>] ? __mod_timer+0x1c/0xcd
 [<ffffffffa005dbfe>] iwl3945_send_cmd_sync+0x15a/0x327 [iwl3945]
 [<ffffffff810551e1>] ? autoremove_wake_function+0x0/0x38
 [<ffffffffa005e446>] iwl3945_send_cmd_pdu+0x39/0x3b [iwl3945]
 [<ffffffffa005e84a>] iwl3945_activate_qos+0xf0/0xf8 [iwl3945]
 [<ffffffffa005ea52>] iwl3945_mac_conf_tx+0x200/0x252 [iwl3945]
 [<ffffffffa001bd82>] ieee80211_sta_wmm_params+0x187/0x1bf [mac80211]
 [<ffffffffa001e35a>] ieee80211_rx_mgmt_beacon+0xf0/0x1ec [mac80211]
 [<ffffffff81090ca7>] ? mempool_alloc+0x5b/0x113
 [<ffffffffa001e4b4>] ieee80211_sta_rx_scan+0x5e/0x73 [mac80211]
 [<ffffffffa00256e7>] ieee80211_invoke_rx_handlers+0x6a/0x1425 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8129fa91>] ? skb_queue_tail+0x41/0x4a
 [<ffffffff81046263>] ? __tasklet_schedule+0x72/0x89
 [<ffffffffa00250dd>] ? ieee80211_rx_irqsafe+0x63/0x6a [mac80211]
 [<ffffffffa0067ed9>] ? iwl3945_pass_packet_to_mac80211+0x2a2/0x2bd [iwl3945]
 [<ffffffffa0026fd9>] __ieee80211_rx_handle_packet+0x537/0x557 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffffa00276df>] __ieee80211_rx+0x49d/0x4fa [mac80211]
 [<ffffffffa001808c>] ieee80211_tasklet_handler+0x74/0xfe [mac80211]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 <EOI>  [<ffffffff811bcf29>] ? acpi_idle_enter_bm+0x296/0x2e6
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

BUG: scheduling while atomic: swapper/0/0x00000100
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
CPU 1:
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1
RIP: 0010:[<ffffffff811bcf29>]  [<ffffffff811bcf29>] acpi_idle_enter_bm+0x296/0x2e6
RSP: 0018:ffff8800beecbe98  EFLAGS: 00000246
RAX: ffffffff816dd510 RBX: ffff8800beecbed8 RCX: 00000000beecbe68
RDX: ffff88007f958000 RSI: 00000027c979f4fa RDI: ffff880001039e80
RBP: ffff8800beecbe28 R08: 0000000000000003 R09: 0000000000000015
R10: 0000001115ca66c1 R11: 0000000300000000 R12: 00000000000214a4
R13: ffff8800beecbe38 R14: ffffffff8105a1c3 R15: ffff8800beecbe08
FS:  0000000000000000(0000) GS:ffff8800bf004880(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000eb9070 CR3: 00000000bb87f000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400

Call Trace:
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

bad: scheduling from the idle thread!
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1

Call Trace:
 <IRQ>  [<ffffffff8103378a>] dequeue_task_idle+0x32/0x3f
 [<ffffffff81031a7a>] dequeue_task+0xbf/0xca
 [<ffffffff81031ad1>] deactivate_task+0x22/0x2b
 [<ffffffff81330b60>] schedule+0x1f2/0x7c5
 [<ffffffff81332de9>] ? _spin_lock_irqsave+0x2a/0x33
 [<ffffffff8104b66b>] ? __mod_timer+0xbb/0xcd
 [<ffffffff813315eb>] schedule_timeout+0x8d/0xb4
 [<ffffffff8104b034>] ? process_timeout+0x0/0xb
 [<ffffffff8104b5cc>] ? __mod_timer+0x1c/0xcd
 [<ffffffffa005dbfe>] iwl3945_send_cmd_sync+0x15a/0x327 [iwl3945]
 [<ffffffff810551e1>] ? autoremove_wake_function+0x0/0x38
 [<ffffffffa005e446>] iwl3945_send_cmd_pdu+0x39/0x3b [iwl3945]
 [<ffffffffa005e84a>] iwl3945_activate_qos+0xf0/0xf8 [iwl3945]
 [<ffffffffa005ea52>] iwl3945_mac_conf_tx+0x200/0x252 [iwl3945]
 [<ffffffffa001bd82>] ieee80211_sta_wmm_params+0x187/0x1bf [mac80211]
 [<ffffffffa001e35a>] ieee80211_rx_mgmt_beacon+0xf0/0x1ec [mac80211]
 [<ffffffff81090ca7>] ? mempool_alloc+0x5b/0x113
 [<ffffffffa001e4b4>] ieee80211_sta_rx_scan+0x5e/0x73 [mac80211]
 [<ffffffffa00256e7>] ieee80211_invoke_rx_handlers+0x6a/0x1425 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8129fa91>] ? skb_queue_tail+0x41/0x4a
 [<ffffffff81046263>] ? __tasklet_schedule+0x72/0x89
 [<ffffffffa00250dd>] ? ieee80211_rx_irqsafe+0x63/0x6a [mac80211]
 [<ffffffffa0067ed9>] ? iwl3945_pass_packet_to_mac80211+0x2a2/0x2bd [iwl3945]
 [<ffffffffa0026fd9>] __ieee80211_rx_handle_packet+0x537/0x557 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffffa00276df>] __ieee80211_rx+0x49d/0x4fa [mac80211]
 [<ffffffffa001808c>] ieee80211_tasklet_handler+0x74/0xfe [mac80211]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 <EOI>  [<ffffffff811bcf29>] ? acpi_idle_enter_bm+0x296/0x2e6
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

BUG: scheduling while atomic: swapper/0/0x00000100
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
CPU 1:
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1
RIP: 0010:[<ffffffff811bcf29>]  [<ffffffff811bcf29>] acpi_idle_enter_bm+0x296/0x2e6
RSP: 0018:ffff8800beecbe98  EFLAGS: 00000246
RAX: ffffffff816dd510 RBX: ffff8800beecbed8 RCX: 00000000beecbe68
RDX: ffff88007f958000 RSI: 00000027c979f4fa RDI: ffff880001039e80
RBP: ffff8800beecbe28 R08: 0000000000000003 R09: 0000000000000015
R10: 0000001115ca66c1 R11: 0000000300000000 R12: 00000000000214a4
R13: ffff8800beecbe38 R14: ffffffff8105a1c3 R15: ffff8800beecbe08
FS:  0000000000000000(0000) GS:ffff8800bf004880(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000eb9070 CR3: 00000000bb87f000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400

Call Trace:
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

bad: scheduling from the idle thread!
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1

Call Trace:
 <IRQ>  [<ffffffff8103378a>] dequeue_task_idle+0x32/0x3f
 [<ffffffff81031a7a>] dequeue_task+0xbf/0xca
 [<ffffffff81031ad1>] deactivate_task+0x22/0x2b
 [<ffffffff81330b60>] schedule+0x1f2/0x7c5
 [<ffffffff8104b66b>] ? __mod_timer+0xbb/0xcd
 [<ffffffff813315eb>] schedule_timeout+0x8d/0xb4
 [<ffffffff8104b034>] ? process_timeout+0x0/0xb
 [<ffffffff8104b5cc>] ? __mod_timer+0x1c/0xcd
 [<ffffffffa005dbfe>] iwl3945_send_cmd_sync+0x15a/0x327 [iwl3945]
 [<ffffffff810551e1>] ? autoremove_wake_function+0x0/0x38
 [<ffffffffa005e446>] iwl3945_send_cmd_pdu+0x39/0x3b [iwl3945]
 [<ffffffffa005e84a>] iwl3945_activate_qos+0xf0/0xf8 [iwl3945]
 [<ffffffffa005ea52>] iwl3945_mac_conf_tx+0x200/0x252 [iwl3945]
 [<ffffffffa001bd82>] ieee80211_sta_wmm_params+0x187/0x1bf [mac80211]
 [<ffffffffa001e35a>] ieee80211_rx_mgmt_beacon+0xf0/0x1ec [mac80211]
 [<ffffffff81090ca7>] ? mempool_alloc+0x5b/0x113
 [<ffffffffa001e4b4>] ieee80211_sta_rx_scan+0x5e/0x73 [mac80211]
 [<ffffffffa00256e7>] ieee80211_invoke_rx_handlers+0x6a/0x1425 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8129fa91>] ? skb_queue_tail+0x41/0x4a
 [<ffffffff81046263>] ? __tasklet_schedule+0x72/0x89
 [<ffffffffa00250dd>] ? ieee80211_rx_irqsafe+0x63/0x6a [mac80211]
 [<ffffffffa0067ed9>] ? iwl3945_pass_packet_to_mac80211+0x2a2/0x2bd [iwl3945]
 [<ffffffffa0026fd9>] __ieee80211_rx_handle_packet+0x537/0x557 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffffa00276df>] __ieee80211_rx+0x49d/0x4fa [mac80211]
 [<ffffffffa001808c>] ieee80211_tasklet_handler+0x74/0xfe [mac80211]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 <EOI>  [<ffffffff811bcf29>] ? acpi_idle_enter_bm+0x296/0x2e6
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

BUG: scheduling while atomic: swapper/0/0x00000100
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
CPU 1:
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1
RIP: 0010:[<ffffffff811bcf29>]  [<ffffffff811bcf29>] acpi_idle_enter_bm+0x296/0x2e6
RSP: 0018:ffff8800beecbe98  EFLAGS: 00000246
RAX: ffffffff816dd510 RBX: ffff8800beecbed8 RCX: 00000000beecbe68
RDX: ffff88007f958000 RSI: 00000027c979f4fa RDI: ffff880001039e80
RBP: ffff8800beecbe28 R08: 0000000000000003 R09: 0000000000000015
R10: 0000001115ca66c1 R11: 0000000300000000 R12: 00000000000214a4
R13: ffff8800beecbe38 R14: ffffffff8105a1c3 R15: ffff8800beecbe08
FS:  0000000000000000(0000) GS:ffff8800bf004880(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000eb9070 CR3: 00000000bb87f000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400

Call Trace:
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

bad: scheduling from the idle thread!
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1

Call Trace:
 <IRQ>  [<ffffffff8103378a>] dequeue_task_idle+0x32/0x3f
 [<ffffffff81031a7a>] dequeue_task+0xbf/0xca
 [<ffffffff81031ad1>] deactivate_task+0x22/0x2b
 [<ffffffff81330b60>] schedule+0x1f2/0x7c5
 [<ffffffff81332de9>] ? _spin_lock_irqsave+0x2a/0x33
 [<ffffffff8104b66b>] ? __mod_timer+0xbb/0xcd
 [<ffffffff813315eb>] schedule_timeout+0x8d/0xb4
 [<ffffffff8104b034>] ? process_timeout+0x0/0xb
 [<ffffffff8104b5cc>] ? __mod_timer+0x1c/0xcd
 [<ffffffffa005dbfe>] iwl3945_send_cmd_sync+0x15a/0x327 [iwl3945]
 [<ffffffff810551e1>] ? autoremove_wake_function+0x0/0x38
 [<ffffffffa005e446>] iwl3945_send_cmd_pdu+0x39/0x3b [iwl3945]
 [<ffffffffa005e84a>] iwl3945_activate_qos+0xf0/0xf8 [iwl3945]
 [<ffffffffa005ea52>] iwl3945_mac_conf_tx+0x200/0x252 [iwl3945]
 [<ffffffffa001bd82>] ieee80211_sta_wmm_params+0x187/0x1bf [mac80211]
 [<ffffffffa001e35a>] ieee80211_rx_mgmt_beacon+0xf0/0x1ec [mac80211]
 [<ffffffff81090ca7>] ? mempool_alloc+0x5b/0x113
 [<ffffffffa001e4b4>] ieee80211_sta_rx_scan+0x5e/0x73 [mac80211]
 [<ffffffffa00256e7>] ieee80211_invoke_rx_handlers+0x6a/0x1425 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8129fa91>] ? skb_queue_tail+0x41/0x4a
 [<ffffffff81046263>] ? __tasklet_schedule+0x72/0x89
 [<ffffffffa00250dd>] ? ieee80211_rx_irqsafe+0x63/0x6a [mac80211]
 [<ffffffffa0067ed9>] ? iwl3945_pass_packet_to_mac80211+0x2a2/0x2bd [iwl3945]
 [<ffffffffa0026fd9>] __ieee80211_rx_handle_packet+0x537/0x557 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffffa00276df>] __ieee80211_rx+0x49d/0x4fa [mac80211]
 [<ffffffffa001808c>] ieee80211_tasklet_handler+0x74/0xfe [mac80211]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 <EOI>  [<ffffffff811bcf29>] ? acpi_idle_enter_bm+0x296/0x2e6
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

BUG: scheduling while atomic: swapper/0/0x00000100
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
CPU 1:
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1
RIP: 0010:[<ffffffff811bcf29>]  [<ffffffff811bcf29>] acpi_idle_enter_bm+0x296/0x2e6
RSP: 0018:ffff8800beecbe98  EFLAGS: 00000246
RAX: ffffffff816dd510 RBX: ffff8800beecbed8 RCX: 00000000beecbe68
RDX: ffff88007f958000 RSI: 00000027c979f4fa RDI: ffff880001039e80
RBP: ffff8800beecbe28 R08: 0000000000000003 R09: 0000000000000015
R10: 0000001115ca66c1 R11: 0000000300000000 R12: 00000000000214a4
R13: ffff8800beecbe38 R14: ffffffff8105a1c3 R15: ffff8800beecbe08
FS:  0000000000000000(0000) GS:ffff8800bf004880(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000eb9070 CR3: 00000000bb87f000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400

Call Trace:
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

bad: scheduling from the idle thread!
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1

Call Trace:
 <IRQ>  [<ffffffff8103378a>] dequeue_task_idle+0x32/0x3f
 [<ffffffff81031a7a>] dequeue_task+0xbf/0xca
 [<ffffffff81031ad1>] deactivate_task+0x22/0x2b
 [<ffffffff81330b60>] schedule+0x1f2/0x7c5
 [<ffffffff81332de9>] ? _spin_lock_irqsave+0x2a/0x33
 [<ffffffff8104b66b>] ? __mod_timer+0xbb/0xcd
 [<ffffffff813315eb>] schedule_timeout+0x8d/0xb4
 [<ffffffff8104b034>] ? process_timeout+0x0/0xb
 [<ffffffff8104b5cc>] ? __mod_timer+0x1c/0xcd
 [<ffffffffa005dbfe>] iwl3945_send_cmd_sync+0x15a/0x327 [iwl3945]
 [<ffffffff810551e1>] ? autoremove_wake_function+0x0/0x38
 [<ffffffffa005e446>] iwl3945_send_cmd_pdu+0x39/0x3b [iwl3945]
 [<ffffffffa005e84a>] iwl3945_activate_qos+0xf0/0xf8 [iwl3945]
 [<ffffffffa005ea52>] iwl3945_mac_conf_tx+0x200/0x252 [iwl3945]
 [<ffffffffa001bd82>] ieee80211_sta_wmm_params+0x187/0x1bf [mac80211]
 [<ffffffffa001e35a>] ieee80211_rx_mgmt_beacon+0xf0/0x1ec [mac80211]
 [<ffffffff81090ca7>] ? mempool_alloc+0x5b/0x113
 [<ffffffffa001e4b4>] ieee80211_sta_rx_scan+0x5e/0x73 [mac80211]
 [<ffffffffa00256e7>] ieee80211_invoke_rx_handlers+0x6a/0x1425 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8129fa91>] ? skb_queue_tail+0x41/0x4a
 [<ffffffff81046263>] ? __tasklet_schedule+0x72/0x89
 [<ffffffffa00250dd>] ? ieee80211_rx_irqsafe+0x63/0x6a [mac80211]
 [<ffffffffa0067ed9>] ? iwl3945_pass_packet_to_mac80211+0x2a2/0x2bd [iwl3945]
 [<ffffffffa0026fd9>] __ieee80211_rx_handle_packet+0x537/0x557 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffffa00276df>] __ieee80211_rx+0x49d/0x4fa [mac80211]
 [<ffffffffa001808c>] ieee80211_tasklet_handler+0x74/0xfe [mac80211]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 <EOI>  [<ffffffff811bcf29>] ? acpi_idle_enter_bm+0x296/0x2e6
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

BUG: scheduling while atomic: swapper/0/0x00000100
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
CPU 1:
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1
RIP: 0010:[<ffffffff811bcf29>]  [<ffffffff811bcf29>] acpi_idle_enter_bm+0x296/0x2e6
RSP: 0018:ffff8800beecbe98  EFLAGS: 00000246
RAX: ffffffff816dd510 RBX: ffff8800beecbed8 RCX: 00000000beecbe68
RDX: ffff88007f958000 RSI: 00000027c979f4fa RDI: ffff880001039e80
RBP: ffff8800beecbe28 R08: 0000000000000003 R09: 0000000000000015
R10: 0000001115ca66c1 R11: 0000000300000000 R12: 00000000000214a4
R13: ffff8800beecbe38 R14: ffffffff8105a1c3 R15: ffff8800beecbe08
FS:  0000000000000000(0000) GS:ffff8800bf004880(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 000000000186b000 CR3: 00000000bb87f000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400

Call Trace:
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

bad: scheduling from the idle thread!
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1

Call Trace:
 <IRQ>  [<ffffffff8103378a>] dequeue_task_idle+0x32/0x3f
 [<ffffffff81031a7a>] dequeue_task+0xbf/0xca
 [<ffffffff81031ad1>] deactivate_task+0x22/0x2b
 [<ffffffff81330b60>] schedule+0x1f2/0x7c5
 [<ffffffff81332de9>] ? _spin_lock_irqsave+0x2a/0x33
 [<ffffffff8104b66b>] ? __mod_timer+0xbb/0xcd
 [<ffffffff813315eb>] schedule_timeout+0x8d/0xb4
 [<ffffffff8104b034>] ? process_timeout+0x0/0xb
 [<ffffffff8104b5cc>] ? __mod_timer+0x1c/0xcd
 [<ffffffffa005dbfe>] iwl3945_send_cmd_sync+0x15a/0x327 [iwl3945]
 [<ffffffff810551e1>] ? autoremove_wake_function+0x0/0x38
 [<ffffffffa005e446>] iwl3945_send_cmd_pdu+0x39/0x3b [iwl3945]
 [<ffffffffa005e84a>] iwl3945_activate_qos+0xf0/0xf8 [iwl3945]
 [<ffffffffa005ea52>] iwl3945_mac_conf_tx+0x200/0x252 [iwl3945]
 [<ffffffffa001bd82>] ieee80211_sta_wmm_params+0x187/0x1bf [mac80211]
 [<ffffffffa001e35a>] ieee80211_rx_mgmt_beacon+0xf0/0x1ec [mac80211]
 [<ffffffff81090ca7>] ? mempool_alloc+0x5b/0x113
 [<ffffffffa001e4b4>] ieee80211_sta_rx_scan+0x5e/0x73 [mac80211]
 [<ffffffffa00256e7>] ieee80211_invoke_rx_handlers+0x6a/0x1425 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8129fa91>] ? skb_queue_tail+0x41/0x4a
 [<ffffffff81046263>] ? __tasklet_schedule+0x72/0x89
 [<ffffffffa00250dd>] ? ieee80211_rx_irqsafe+0x63/0x6a [mac80211]
 [<ffffffffa0067ed9>] ? iwl3945_pass_packet_to_mac80211+0x2a2/0x2bd [iwl3945]
 [<ffffffffa0026fd9>] __ieee80211_rx_handle_packet+0x537/0x557 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffffa00276df>] __ieee80211_rx+0x49d/0x4fa [mac80211]
 [<ffffffffa001808c>] ieee80211_tasklet_handler+0x74/0xfe [mac80211]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 <EOI>  [<ffffffff811bcf29>] ? acpi_idle_enter_bm+0x296/0x2e6
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

BUG: scheduling while atomic: swapper/0/0x00000100
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
CPU 1:
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1
RIP: 0010:[<ffffffff811bcf29>]  [<ffffffff811bcf29>] acpi_idle_enter_bm+0x296/0x2e6
RSP: 0018:ffff8800beecbe98  EFLAGS: 00000246
RAX: ffffffff816dd510 RBX: ffff8800beecbed8 RCX: 00000000beecbe68
RDX: ffff88007f958000 RSI: 00000027c979f4fa RDI: ffff880001039e80
RBP: ffff8800beecbe28 R08: 0000000000000003 R09: 0000000000000015
R10: 0000001115ca66c1 R11: 0000000300000000 R12: 00000000000214a4
R13: ffff8800beecbe38 R14: ffffffff8105a1c3 R15: ffff8800beecbe08
FS:  0000000000000000(0000) GS:ffff8800bf004880(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 000000000186b000 CR3: 00000000bb87f000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400

Call Trace:
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

bad: scheduling from the idle thread!
Pid: 0, comm: swapper Not tainted 2.6.27.9-159.fc10.x86_64 #1

Call Trace:
 <IRQ>  [<ffffffff8103378a>] dequeue_task_idle+0x32/0x3f
 [<ffffffff81031a7a>] dequeue_task+0xbf/0xca
 [<ffffffff81031ad1>] deactivate_task+0x22/0x2b
 [<ffffffff81330b60>] schedule+0x1f2/0x7c5
 [<ffffffff81332de9>] ? _spin_lock_irqsave+0x2a/0x33
 [<ffffffff8104b66b>] ? __mod_timer+0xbb/0xcd
 [<ffffffff813315eb>] schedule_timeout+0x8d/0xb4
 [<ffffffff8104b034>] ? process_timeout+0x0/0xb
 [<ffffffff8104b5cc>] ? __mod_timer+0x1c/0xcd
 [<ffffffffa005dbfe>] iwl3945_send_cmd_sync+0x15a/0x327 [iwl3945]
 [<ffffffff810551e1>] ? autoremove_wake_function+0x0/0x38
 [<ffffffffa005e446>] iwl3945_send_cmd_pdu+0x39/0x3b [iwl3945]
 [<ffffffffa005e84a>] iwl3945_activate_qos+0xf0/0xf8 [iwl3945]
 [<ffffffffa005ea52>] iwl3945_mac_conf_tx+0x200/0x252 [iwl3945]
 [<ffffffffa001bd82>] ieee80211_sta_wmm_params+0x187/0x1bf [mac80211]
 [<ffffffffa001e35a>] ieee80211_rx_mgmt_beacon+0xf0/0x1ec [mac80211]
 [<ffffffff81090ca7>] ? mempool_alloc+0x5b/0x113
 [<ffffffffa001e4b4>] ieee80211_sta_rx_scan+0x5e/0x73 [mac80211]
 [<ffffffffa00256e7>] ieee80211_invoke_rx_handlers+0x6a/0x1425 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8129fa91>] ? skb_queue_tail+0x41/0x4a
 [<ffffffff81046263>] ? __tasklet_schedule+0x72/0x89
 [<ffffffffa00250dd>] ? ieee80211_rx_irqsafe+0x63/0x6a [mac80211]
 [<ffffffffa0067ed9>] ? iwl3945_pass_packet_to_mac80211+0x2a2/0x2bd [iwl3945]
 [<ffffffffa0026fd9>] __ieee80211_rx_handle_packet+0x537/0x557 [mac80211]
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffffa00276df>] __ieee80211_rx+0x49d/0x4fa [mac80211]
 [<ffffffffa001808c>] ieee80211_tasklet_handler+0x74/0xfe [mac80211]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 <EOI>  [<ffffffff811bcf29>] ? acpi_idle_enter_bm+0x296/0x2e6
 [<ffffffff811bcf21>] ? acpi_idle_enter_bm+0x28e/0x2e6
 [<ffffffff812866af>] ? cpuidle_idle_call+0x95/0xc9
 [<ffffffff8100f279>] ? cpu_idle+0xb2/0x10b
 [<ffffffff8132d525>] ? start_secondary+0x16e/0x173

BUG: unable to handle kernel NULL pointer dereference at 0000000000000000
IP: [<0000000000000000>] 0x0
PGD bc50a067 PUD bc4ea067 PMD bbd13067 PTE 0
Oops: 0010 [1] SMP 
CPU 1 
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 1908, comm: rsyslogd Not tainted 2.6.27.9-159.fc10.x86_64 #1
RIP: 0010:[<0000000000000000>]  [<0000000000000000>] 0x0
RSP: 0018:ffff8800b910bab8  EFLAGS: 00010046
RAX: ffffffff81348880 RBX: ffff8800beebc530 RCX: 0000000000000001
RDX: 0000000000000001 RSI: ffff8800beebc530 RDI: ffff880001039500
RBP: ffff8800b910bad0 R08: ffff8800beecf920 R09: ffff8800b910bb20
R10: ffff8800bbde2e90 R11: ffffffff8104b66b R12: ffff880001039500
R13: 0000000000000001 R14: 0000000000000001 R15: 0000000000000001
FS:  00007ffc4026e910(0000) GS:ffff8800bf004880(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 00000000bb87f000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process rsyslogd (pid: 1908, threadinfo ffff8800b910a000, task ffff8800bc448000)
Stack:  ffffffff810319b0 ffff8800b910baf0 ffff880001039500 ffff8800b910baf0
 ffffffff81031aa7 0000000000000001 ffff8800beebc530 ffff8800b910bb50
 ffffffff8103a559 ffff8800b910bb20 ffffffff81332cb4 00000000b9d683e8
Call Trace:
 [<ffffffff810319b0>] ? enqueue_task+0x50/0x5b
 [<ffffffff81031aa7>] activate_task+0x22/0x2a
 [<ffffffff8103a559>] try_to_wake_up+0x1db/0x283
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8103a60e>] default_wake_function+0xd/0xf
 [<ffffffff810551f2>] autoremove_wake_function+0x11/0x38
 [<ffffffff81031ec5>] __wake_up_common+0x46/0x76
 [<ffffffff8103357b>] __wake_up+0x38/0x50
 [<ffffffffa006345e>] iwl3945_irq_tasklet+0x755/0xa25 [iwl3945]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 [<ffffffff8104285a>] ? do_syslog+0x173/0x3b2
 [<ffffffff81042852>] ? do_syslog+0x16b/0x3b2
 [<ffffffff810551e1>] ? autoremove_wake_function+0x0/0x38
 [<ffffffff8110953d>] ? kmsg_read+0x0/0x47
 [<ffffffff81109578>] ? kmsg_read+0x3b/0x47
 [<ffffffff81101100>] ? proc_reg_read+0x89/0xa6
 [<ffffffff810c0a10>] ? vfs_read+0xa8/0x102
 [<ffffffff810c0b2e>] ? sys_read+0x47/0x6e
 [<ffffffff8101024a>] ? system_call_fastpath+0x16/0x1b


Code:  Bad RIP value.
RIP  [<0000000000000000>] 0x0
 RSP <ffff8800b910bab8>
CR2: 0000000000000000
---[ end trace 3f2318bc4dd207d9 ]---
Kernel panic - not syncing: Aiee, killing interrupt handler!
------------[ cut here ]------------
WARNING: at kernel/smp.c:332 smp_call_function_mask+0x46/0x1dd() (Tainted: G      D  )
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 1908, comm: rsyslogd Tainted: G      D   2.6.27.9-159.fc10.x86_64 #1

Call Trace:
 [<ffffffff81041942>] warn_on_slowpath+0x60/0x90
 [<ffffffffa03a31c8>] ? write_msg+0xdb/0xea [netconsole]
 [<ffffffff810419d7>] ? __call_console_drivers+0x65/0x76
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff81041ee3>] ? release_console_sem+0x1d0/0x1dc
 [<ffffffff81062112>] smp_call_function_mask+0x46/0x1dd
 [<ffffffff8101f866>] ? stop_this_cpu+0x0/0x2e
 [<ffffffff8106c02b>] ? crash_kexec+0xe5/0xef
 [<ffffffff810419d7>] ? __call_console_drivers+0x65/0x76
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff810622c4>] smp_call_function+0x1b/0x1d
 [<ffffffff8101f8b6>] native_smp_send_stop+0x22/0x6a
 [<ffffffff813306d9>] panic+0x84/0x133
 [<ffffffff81044ae8>] do_exit+0x79/0x8a0
 [<ffffffff813307c4>] ? printk+0x3c/0x40
 [<ffffffff813338ba>] oops_begin+0x0/0x8c
 [<ffffffff81335a2f>] do_page_fault+0x9de/0xad2
 [<ffffffff810928e4>] ? __rmqueue_smallest+0xb4/0x14d
 [<ffffffff8109299c>] ? __rmqueue+0x1f/0x1de
 [<ffffffff81092be2>] ? rmqueue_bulk+0x87/0x99
 [<ffffffff8109b44c>] ? zone_statistics+0x62/0x67
 [<ffffffff81094807>] ? get_page_from_freelist+0x4f7/0x6d1
 [<ffffffff81092e4a>] ? __free_one_page+0x1a4/0x20a
 [<ffffffff81093228>] ? __free_pages_ok+0x100/0x121
 [<ffffffff81093120>] ? free_pages_check+0x82/0x8a
 [<ffffffff81332f4a>] error_exit+0x0/0x75
 [<ffffffff8104b66b>] ? __mod_timer+0xbb/0xcd
 [<ffffffff810319b0>] ? enqueue_task+0x50/0x5b
 [<ffffffff81031aa7>] activate_task+0x22/0x2a
 [<ffffffff8103a559>] try_to_wake_up+0x1db/0x283
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8103a60e>] default_wake_function+0xd/0xf
 [<ffffffff810551f2>] autoremove_wake_function+0x11/0x38
 [<ffffffff81031ec5>] __wake_up_common+0x46/0x76
 [<ffffffff8103357b>] __wake_up+0x38/0x50
 [<ffffffffa006345e>] iwl3945_irq_tasklet+0x755/0xa25 [iwl3945]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 [<ffffffff8104285a>] ? do_syslog+0x173/0x3b2
 [<ffffffff81042852>] ? do_syslog+0x16b/0x3b2
 [<ffffffff810551e1>] ? autoremove_wake_function+0x0/0x38
 [<ffffffff8110953d>] ? kmsg_read+0x0/0x47
 [<ffffffff81109578>] ? kmsg_read+0x3b/0x47
 [<ffffffff81101100>] ? proc_reg_read+0x89/0xa6
 [<ffffffff810c0a10>] ? vfs_read+0xa8/0x102
 [<ffffffff810c0b2e>] ? sys_read+0x47/0x6e
 [<ffffffff8101024a>] ? system_call_fastpath+0x16/0x1b

---[ end trace 3f2318bc4dd207d9 ]---
------------[ cut here ]------------
WARNING: at kernel/smp.c:219 smp_call_function_single+0x43/0xfa() (Tainted: G      D W)
Modules linked in: fuse sha256_generic aes_x86_64 aes_generic cbc dm_crypt netconsole configfs i915 drm ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp bnep l2cap nf_conntrack_netbios_ns ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer arc4 snd_page_alloc ecb snd_hwdep btusb crypto_blkcipher snd e1000e bluetooth yenta_socket rsrc_nonstatic iTCO_wdt iTCO_vendor_support soundcore i2c_i801 i2c_core video output usb_storage thinkpad_acpi nsc_ircc irda iwl3945 rfkill battery mac80211 cfg80211 ac crc_ccitt hwmon [last unloaded: microcode]
Pid: 1908, comm: rsyslogd Tainted: G      D W 2.6.27.9-159.fc10.x86_64 #1

Call Trace:
 [<ffffffff81041942>] warn_on_slowpath+0x60/0x90
 [<ffffffff810415e5>] ? print_oops_end_marker+0x1e/0x20
 [<ffffffff81041947>] ? warn_on_slowpath+0x65/0x90
 [<ffffffffa03a31c8>] ? write_msg+0xdb/0xea [netconsole]
 [<ffffffff81062015>] smp_call_function_single+0x43/0xfa
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff81041ee3>] ? release_console_sem+0x1d0/0x1dc
 [<ffffffff81062175>] smp_call_function_mask+0xa9/0x1dd
 [<ffffffff8101f866>] ? stop_this_cpu+0x0/0x2e
 [<ffffffff8106c02b>] ? crash_kexec+0xe5/0xef
 [<ffffffff810419d7>] ? __call_console_drivers+0x65/0x76
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff810622c4>] smp_call_function+0x1b/0x1d
 [<ffffffff8101f8b6>] native_smp_send_stop+0x22/0x6a
 [<ffffffff813306d9>] panic+0x84/0x133
 [<ffffffff81044ae8>] do_exit+0x79/0x8a0
 [<ffffffff813307c4>] ? printk+0x3c/0x40
 [<ffffffff813338ba>] oops_begin+0x0/0x8c
 [<ffffffff81335a2f>] do_page_fault+0x9de/0xad2
 [<ffffffff810928e4>] ? __rmqueue_smallest+0xb4/0x14d
 [<ffffffff8109299c>] ? __rmqueue+0x1f/0x1de
 [<ffffffff81092be2>] ? rmqueue_bulk+0x87/0x99
 [<ffffffff8109b44c>] ? zone_statistics+0x62/0x67
 [<ffffffff81094807>] ? get_page_from_freelist+0x4f7/0x6d1
 [<ffffffff81092e4a>] ? __free_one_page+0x1a4/0x20a
 [<ffffffff81093228>] ? __free_pages_ok+0x100/0x121
 [<ffffffff81093120>] ? free_pages_check+0x82/0x8a
 [<ffffffff81332f4a>] error_exit+0x0/0x75
 [<ffffffff8104b66b>] ? __mod_timer+0xbb/0xcd
 [<ffffffff810319b0>] ? enqueue_task+0x50/0x5b
 [<ffffffff81031aa7>] activate_task+0x22/0x2a
 [<ffffffff8103a559>] try_to_wake_up+0x1db/0x283
 [<ffffffff81332cb4>] ? _spin_unlock_irqrestore+0x27/0x3e
 [<ffffffff8103a60e>] default_wake_function+0xd/0xf
 [<ffffffff810551f2>] autoremove_wake_function+0x11/0x38
 [<ffffffff81031ec5>] __wake_up_common+0x46/0x76
 [<ffffffff8103357b>] __wake_up+0x38/0x50
 [<ffffffffa006345e>] iwl3945_irq_tasklet+0x755/0xa25 [iwl3945]
 [<ffffffff8104645b>] tasklet_action+0x90/0xf9
 [<ffffffff81046b72>] __do_softirq+0x7e/0x10c
 [<ffffffff81011bcc>] call_softirq+0x1c/0x28
 [<ffffffff81012dd2>] do_softirq+0x4d/0xb0
 [<ffffffff81046747>] irq_exit+0x4e/0x9d
 [<ffffffff810130ee>] do_IRQ+0x147/0x169
 [<ffffffff81010933>] ret_from_intr+0x0/0x2e
 [<ffffffff8104285a>] ? do_syslog+0x173/0x3b2
 [<ffffffff81042852>] ? do_syslog+0x16b/0x3b2
 [<ffffffff810551e1>] ? autoremove_wake_function+0x0/0x38
 [<ffffffff8110953d>] ? kmsg_read+0x0/0x47
 [<ffffffff81109578>] ? kmsg_read+0x3b/0x47
 [<ffffffff81101100>] ? proc_reg_read+0x89/0xa6
 [<ffffffff810c0a10>] ? vfs_read+0xa8/0x102
 [<ffffffff810c0b2e>] ? sys_read+0x47/0x6e
 [<ffffffff8101024a>] ? system_call_fastpath+0x16/0x1b

---[ end trace 3f2318bc4dd207d9 ]---

Happens shortly after wireless association.
Comment 1 Bill Nottingham 2009-01-19 17:38:59 EST
2.6.28.1-11.fc10.x86_64 survives OK for at least 5 minutes so far.
2.6.29-0.35.rc1.git4.fc11.x86_64 lasted most of the day fine.
Comment 2 John W. Linville 2009-01-20 10:19:22 EST
I think we addressed something like this in 2.6.28.  Does the 2.6.28-based kernel continue to work for you?
Comment 3 Bill Nottingham 2009-01-20 15:14:31 EST
Yeah, it seems to work better there.b

Note You need to log in before you can comment on or make changes to this bug.